## org.jboss.naming.java
Class javaURLContextFactory

    java.lang.Object
      |
      +--org.jboss.naming.java.javaURLContextFactory

All Implemented Interfaces:
  javax.naming.spi.ObjectFactory

public class javaURLContextFactory
extends java.lang.Object
implements javax.naming.spi.ObjectFactory

Implementation of "java:" namespace factory. java: is a VM-local namespace.

Version:
  $Revision: 1.6 $
Author:
  Rickard Öberg (rickard.oberg@telkel.com)
See Also:
  <related>

Constructor Summary
`javaURLContextFactory()`

Method Summary
`java.lang.Object` `getObjectInstance(java.lang.Object obj, javax.naming.Name name, javax.naming.Context nameCtx, java.util.Hashtable environment)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### javaURLContextFactory

    public javaURLContextFactory()

Method Detail

### getObjectInstance

    public java.lang.Object getObjectInstance(java.lang.Object obj,
                                              javax.naming.Name name,
                                              javax.naming.Context nameCtx,
                                              java.util.Hashtable environment)
                                       throws java.lang.Exception

  Specified by:
    `getObjectInstance` in interface `javax.naming.spi.ObjectFactory`

Copyright © 2000 The JBoss Organization. All Rights Reserved.